From b083d4754296c581585b53de7ff1c67992736667 Mon Sep 17 00:00:00 2001
From: Vasyl Gello <vasek.gello@gmail.com>
Date: Fri, 22 May 2020 19:16:57 +0000
Subject: [PATCH] Drop OpenSSL dependency

... because Debian's system GnuTLS builds just fine!
---
 CMakeLists.txt | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 4730562..36481c1 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -4,9 +4,7 @@ project(vfs.sftp)
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})
 
 find_package(Kodi REQUIRED)
-find_package(OpenSSL REQUIRED)
 find_package(SSH REQUIRED)
-find_package(ZLIB REQUIRED)
 
 include_directories(${KODI_INCLUDE_DIR}/..
                     ${SSH_INCLUDE_DIRS})
@@ -16,9 +14,7 @@ set(SFTP_SOURCES src/SFTPSession.cpp
 
 set(SFTP_HEADERS src/SFTPSession.h)
 
-set(DEPLIBS ${SSH_LIBRARIES}
-            ${OPENSSL_LIBRARIES}
-            ${ZLIB_LIBRARIES})
+set(DEPLIBS ${SSH_LIBRARIES})
 
 add_definitions( -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64)
 
-- 
2.20.1

